

/***************************************************************************
*
*        Programm:   Sim,
*        Modul:      sim_msg.h
*        Funktion:   Headerfile fr externe Bausteindefinitionen
*
*        Datum:            03.05.89
*        letzte nderung:  03.06.89
*
***************************************************************************/


#include <libraries/dosextens.h>
#include <workbench/startup.h>

#define SIM_VERSION   4
#define SIM_REVISION  0


struct sim_msg {
   struct Message msg;
   int            version;
   int            revision;
   USHORT         in_count;
   USHORT         out_count;
   USHORT         state_count;
   struct device  **running;
   void           (*device)();
   void           (*dev_init)();
};


struct extern_device {
   struct extern_device *next;
   char                 *name;
   BPTR                 seg;
   struct MsgPort       *msgport;
};
